searchNodes=[{"ref":"Gelato.html","title":"Gelato","type":"module","doc":"Gelato is a opinionated logger backend helper library to log events with telemetry attached. It is to be configured in config.exs in the following way: config :gelato, uri: &quot;http://127.0.0.1:9200&quot;, events: [:app, :lib], handler: :elastic config :logger, backends: [Gelato.Logger.Backend], level: :debug and might be used normally as a usual logger backend Logger.info &quot;users&quot;, name: &quot;John&quot;, reference: &quot;U-123456789&quot; Also it supports benchmarking with Elixir.Gelato.bench/4. The latter will execute the block passed to the function, surrounded with two calls to Elixir.Gelato.log/4 to collect some additional info about this particular block execution. By default all the logger methods would attach process_info to the events sent to Elastic to alter / discard this pass process_info: SOMETHING to the call to all the exported functions’ payload. Unless SOMETHING is true, this value will be used instead of real process info."},{"ref":"Gelato.html#bench/4","title":"Gelato.bench/4","type":"macro","doc":"Similar to Elixir.Gelato.log/4 but also accepts a block. The block will be executed, surrounded by calls to log and the telemetry data will be accumulated in the latter call."},{"ref":"Gelato.html#debug/3","title":"Gelato.debug/3","type":"macro","doc":"Helper macro to produce a logger entry with level debug."},{"ref":"Gelato.html#error/3","title":"Gelato.error/3","type":"macro","doc":"Helper macro to produce a logger entry with level error."},{"ref":"Gelato.html#info/3","title":"Gelato.info/3","type":"macro","doc":"Helper macro to produce a logger entry with level info."},{"ref":"Gelato.html#log/4","title":"Gelato.log/4","type":"macro","doc":"Logs the payload with the telemetry attached to the configured ElasticSearch instance. The telemetry includes some process information by default, besides monotonic time and some additional parameters. The process info data might be altered or switched off by passing :process_info keyword parameter in call to Elixir.Gelato.log/4. true value (default) would collect and store the current process info; any other value would be passed through as is. level parameter is one of :debug | :info | :warn | :error tag is mapped to ElasticSearch index when passed; possible values must be configured in config.exs file in the list of telemetry events entity parameter is the additional tagging that goes into payload, e. g. &quot;orders&quot; payload is anything encodeable into json"},{"ref":"Gelato.html#warn/3","title":"Gelato.warn/3","type":"macro","doc":"Helper macro to produce a logger entry with level warn."}]